
const nav = document.getElementById("nav");
const navToggle = document.getElementById("nav-toggle")

navToggle.onclick = () => nav.classList.toggle("expanded");

document.querySelectorAll("nav a").forEach((el) => {
  el.onclick = () => nav.classList.remove("expanded");
});

const upBottonOnScroll = () => {

  const upButton = document.getElementById("up-button");

  // for throttling
  let time;
  const wait = 5;

  return () => {

    if (time && (time + wait - Date.now()) >= 0) return;
    time = Date.now();

    const scrolled = window.pageYOffset;
    if (scrolled > 0) upButton.classList.add("up-button-visible");
    else upButton.classList.remove("up-button-visible");
  };
};

window.addEventListener('scroll', upBottonOnScroll(), {passive: true});
