<?php
    $lang = $args['lang'];
    $hours_content = get_posts(['tag_slug__and' => [$lang, 'hours']])[0]->post_content;
?>

    </div>

    <footer id="contatti">

      <div class="footer-container">

        <div class="four column">

          <h2>Spatolata Srl Impresa Sociale</h2>

          <p>
            P.IVA: 07227730483
          </p>

          <div class="icon-label">
            <?php if ($lang == 'en') { ?>
              <span>Follow Us!</span>
            <?php } else { ?>
              <span>Seguici!</span>
            <?php } ?>
            <a href="https://instagram.com/spatolatagelato">
              <i role="presentation" class="bi bi-instagram"></i>
            </a>
            <a href="https://www.facebook.com/spatolatagelato/">
              <i role="presentation" class="bi bi-facebook"></i>
            </a>
          </div>

        </div>

        <div class="four column">

          <?php if ($lang == 'en') { ?>
            <p>Information and orders:</p>
          <?php } else { ?>
            <p>Per informazioni, prenotazioni e ordini:</p>
          <?php } ?>

          <div class="icon-label">
            <i role="presentation" class="bi bi-telephone-outbound"></i>
            <a href="tel:+393488002083">+39 3488002083</a>
          </div>

          <div class="icon-label">
            <a href="mailto: info@spatolata.org">
              <i role="presentation" class="bi bi-envelope"></i>
            </a>
            <a href="mailto: info@spatolata.org">
              info@spatolata.org
            </a>
          </div>


        </div>

        <div class="four column">

          <div class="icon-label">
            <a href="https://goo.gl/maps/mvxHV672DP1rRmbL9">
              <i role="presentation" class="bi bi-arrow-90deg-right"></i>
            </a>
            <a href="https://goo.gl/maps/mvxHV672DP1rRmbL9">
              Via Panciroli, 9
              <br/>42121, Reggio Emilia, Italia
            </a>
          </div>

          <div class="icon-label">
              <i role="presentation" class="bi bi-clock"></i>
              <?php echo $hours_content; ?>
          </div>

        </div>

      </div>

    </footer>

    <div id="up-button">
      <a class="button" href="#home">
        <i class="bi bi-chevron-up"></i>
      </a>
    </div>

  <?php wp_footer(); ?>
  </body>

</html>
